Subject: Re: DNS resolver discovery text [Re: [dnsop] WG Last Call: draft-ietf-dnsop-ipv6-dns-issues-04.txt]

From: Pekka Savola <[email-masked]>
Date: Sat, 17 Apr 2004 20:28:51 +0300 (EEST)

On Sat, 17 Apr 2004 [email-masked] wrote:
> 	Does this cover the case where manual configuration is
> 	over-written by one or more automated discovery procedures?
> 	
> 	or to put it another way,
> 
> 	What is the preference order for service "discovery" when
> 	multiple methods are in play?  Methinks we have created an
>  	interesting problem by having competing methods, each rewriting
> 	the "resolv.conf" file as they see fit.  End users will not
> 	be pleased.

Yes, this is a problem that will need to be addressed w/ discovery 
methods.  It's already being considered in the scope of different 
DHCPs, and if other discovery methods are adopted, this will need to 
be considered here explicitly as well.

But that seems beyond the scope of the DNS discovery statement itself.

-- 
Pekka Savola                 "You each name yourselves king, yet the
Netcore Oy                    kingdom bleeds."
Systems. Networks. Security. -- George R.R. Martin: A Clash of Kings

.
dnsop resources:_____________________________________________________
web user interface: http://darkwing.uoregon.edu/~llynch/dnsop.html
mhonarc archive: http://darkwing.uoregon.edu/~llynch/dnsop/index.html